Skip to main content
POST
/
v4
/
models
/
{model_instance_id}
/
deployments
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
model_deployment = client.models.deployments.create(
    model_instance_id="model_instance_id",
    name="name",
)
print(model_deployment.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
modelDeployment, err := client.Models.Deployments.New(
context.TODO(),
"model_instance_id",
sgp.ModelDeploymentNewParams{
Name: sgp.F("name"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", modelDeployment.ID)
}
curl --request POST \
--url https://api.egp.scale.com/v4/models/{model_instance_id}/deployments \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"model_creation_parameters": {},
"vendor_configuration": {
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"vendor": "LAUNCH"
},
"deployment_metadata": {},
"wait_for_ready": true,
"account_id": "<string>"
}
'
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
model_creation_parameters: {},
vendor_configuration: {min_workers: 0, max_workers: 1, per_worker: 10, vendor: 'LAUNCH'},
deployment_metadata: {},
wait_for_ready: true,
account_id: '<string>'
})
};

fetch('https://api.egp.scale.com/v4/models/{model_instance_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>",
  "created_by_user_id": "<string>",
  "status": "<string>",
  "model_creation_parameters": {},
  "model_endpoint_id": "<string>",
  "model_instance_id": "<string>",
  "vendor_configuration": {
    "min_workers": 0,
    "max_workers": 1,
    "per_worker": 10,
    "vendor": "LAUNCH"
  },
  "deployment_metadata": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

model_instance_id
string
required

Body

application/json
name
string
required
model_creation_parameters
Model Creation Parameters · object
vendor_configuration
LaunchDeploymentVendorConfiguration · object
deployment_metadata
Deployment Metadata · object
wait_for_ready
boolean
default:true

If true, the request will block until the Launch endpoint is READY. Defaults to true.

account_id
string

The ID of the account that owns the given entity.

Response

Successful Response

name
string
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
status
string
required

Status of the model's deployment.

model_creation_parameters
Model Creation Parameters · object
model_endpoint_id
string
model_instance_id
string
vendor_configuration
LaunchDeploymentVendorConfiguration · object
deployment_metadata
Deployment Metadata · object